IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[SF_Cbte_Vta_Coef_Saldado_Rec]') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION [dbo].[SF_Cbte_Vta_Coef_Saldado_Rec] 
END

GO

CREATE FUNCTION [dbo].[SF_Cbte_Vta_Coef_Saldado_Rec](@Id_TransFC INT,@Id_TransRC INT) 
RETURNS DECIMAL(9,7)
AS
BEGIN

-- Falta tener en cuenta los recibos y agregar fecha de aplicacion en cbtes_aplica
--SET @Fecha = convert(char(8),GETDATE() + 1,112)

DECLARE @Imp_Fc       DECIMAL(16,2),
        @Imp_Aplicado       DECIMAL(16,2),
        @Coef          DECIMAL(7,6)

SET @Imp_Fc = (SELECT Imp_total FROM Cbtes WHERE Id_Trans = @Id_TransFC)
--Se comente siguiente linea y se agrega nueva con un SUM al importe ya que solo debe devolver un valor la sub consulta
--SET @Imp_Aplicado = (SELECT Importe FROM Cbtes_Aplica WHERE Id_Trans = @Id_TransFC AND Id_Trans_D = @Id_TransRC)
SET @Imp_Aplicado = (SELECT SUM (Importe) FROM Cbtes_Aplica WHERE Id_Trans = @Id_TransFC AND Id_Trans_D = @Id_TransRC)

SET @Coef = @Imp_Aplicado / @Imp_Fc

RETURN @Coef
  
END  

